com.mockobjects.naming.directory

## Class MockNamingEnumeration

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.naming.directory.MockNamingEnumeration

All Implemented Interfaces:
  Verifiable, java.util.Enumeration, javax.naming.NamingEnumeration

    public class MockNamingEnumeration
    extends MockObject
    implements javax.naming.NamingEnumeration

### Constructor Summary

Constructors
Constructor and Description
`MockNamingEnumeration()`

### Method Summary

Methods
`void` `close()`
`boolean` `hasMore()`
`boolean` `hasMoreElements()`
`java.lang.Object` `next()`
`java.lang.Object` `nextElement()`
`void` `setupAddSearchResult(java.lang.Object object)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockNamingEnumeration

    public MockNamingEnumeration()

### Method Detail

#### setupAddSearchResult

    public void setupAddSearchResult(java.lang.Object object)

#### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

Specified by:
  `next` in interface `javax.naming.NamingEnumeration`
Throws:
  `javax.naming.NamingException`

#### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

Specified by:
  `hasMore` in interface `javax.naming.NamingEnumeration`
Throws:
  `javax.naming.NamingException`

#### close

    public void close()
               throws javax.naming.NamingException

Specified by:
  `close` in interface `javax.naming.NamingEnumeration`
Throws:
  `javax.naming.NamingException`

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `java.util.Enumeration`

#### nextElement

    public java.lang.Object nextElement()

Specified by:
  `nextElement` in interface `java.util.Enumeration`